Main Page Groups Namespaces

# sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5 >::deduce_result_type< T_arg1 > Struct Template Reference

List of all members.

## Public Types

typedef adaptor_type::template deduce_result_type< typename type_trait<T_arg1>::pass, typename type_trait< T_type1 >::pass, typename type_trait< T_type2 >::pass, typename type_trait<T_type3>::pass, typename type_trait< T_type4 >::pass, typename type_trait< T_type5 >::pass >::type | type

### template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5>
template <class T_arg1>
struct sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5 >::deduce_result_type< T_arg1 >

## Member Typedef Documentation

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5>
template <class T_arg1>
typedef adaptor_type::template deduce_result_type<typename type_trait<T_arg1>::pass, typename type_trait<T_type1>::pass,typename type_trait<T_type2>::pass,typename type_trait<T_type3>::pass,typename type_trait<T_type4>::pass,typename type_trait<T_type5>::pass>::type sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5 >::deduce_result_type<T_arg1>::type

The documentation for this struct was generated from the following file:

- adaptors/bind.h